Subject: Re: [netmod] Working group Last Call: draft-ietf-netmod-acl-model-06

From: "Einar Nilsen-Nygaard (einarnn)" <[email-masked]>
Date: Mon, 1 Feb 2016 11:52:23 +0000

It's a pity we can't identify a common module for packet fields. Having two separate yang modules in this area seems like a usability issue for developers as they will need to look at both modules at different times.

Are there specific reasons why we can't converge on a common module defining packet fields?

Cheers,

Einar

On Jan 22, 2016, at 9:04 PM, Mahesh Jethanandani <[email-masked]<mailto:[email-masked]>> wrote:

On Jan 22, 2016, at 12:46 PM, Lisa (Yi) Huang <[email-masked]<mailto:[email-masked]>> wrote:

On 1/22/16, 4:40 AM, "netmod on behalf of Acee Lindem (acee)"
<[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

On 1/22/16, 12:56 AM, "netmod on behalf of Ebben Aries"
<[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

On 01/21/2016 12:45 AM, Qin Wu wrote:
1. This draft defines two module, one is IETF-PACKET-FIELDS, the other
is ietf-access-control-list module,
I am wondering whether ietf-packet-fields module can be defined in more
generic way that can be applied to other modules defined somewhere else?
e.g., in ietf-packet-fields module, acl-ip-header-fields grouping is
defined, I am wondering whether prefix "acl-" can be removed to make it
more generic?

What you'll likely run into here is that the header fields defined in
acl-*-header-fields are more or less the lowest common denominators for
the application of "acl" - Not all header fields are defined here.

I suppose an approach could be to define generic groupings of all header
fields and create per application groupings, referencing what is
supported with appropriate constraints, etc...  Not sure what that buys
here since you're likely to have overlap but not complete parity between
the different consumers of these packet fields.

Furthermore, this is not a generic IP packet fields YANG module. It is a
module for matching IP packet fields using traditional ACL semantics.
Hence, changing the container name wonąt change the content or semantics.
If anything, the module name should be changed to include łacl-ł and not
imply that it is generic.
Thanks,
Acee

There is no intention to include all packet fields in this module but QoS
could reuse this module.

The QoS module has defined its own set of fields that packets could get classified on, and has no plans to use the ACL packet field definitions.

Thanks,
Lisa

/ebben

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod